function plugindef()
   -- This function and the 'finaleplugin' namespace
   -- are both reserved for the plug-in definition.
   finaleplugin.NoStore = true
   finaleplugin.Author = "Jari Williamsson"
   finaleplugin.CategoryTags = "Debug, Development, Diagnose, UI"
   return "List JW Lua Constants", "List constants", "Lists the constants available to JW Lua."
end

-- Show dialog
local dialog = finenv.UserValueInput()
dialog.Title = "List JW Lua Constants"
dialog:SetTypes("String")
dialog:SetDescriptions("Search string (empty to list all):")

local returnvalues = dialog:Execute()
if returnvalues == nil then return end
local pattern = returnvalues[1]
local result = {}

-- Search for constants
for k,v in pairs(_G.finale) do
    if string.find(k, "__propget") == 1 and (type(v) == "table") then
        for k1, v1 in pairs(v) do
            if string.find(k1, returnvalues[1]) or returnvalues == "" then
                table.insert(result, k1)                
            end
        end
    end
end

-- Present sorted result:
table.sort(result)
print("Searching for <", pattern, "> in JW Lua constants:")
count = 0
for k, v in pairs(result) do
    print(v, "=", _G.finale[v])
    count = count + 1
end
print ("Total count: ", count)











